更新客户申请
在一次 API 请求中更改申请状态、已记录的退款金额或同时更改两者。
PATCH
/api/v1/requests/{request_id}cURL 请求
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/requests/request-0000 \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-request-update' \
--header 'Content-Type: application/json' \
--data-raw '{"refund":{"amount":"25.00","expected_version":0},"status":{"expected_version":1,"status_id":"request-accepted"}}'
响应
{
"data": {
"deleted": false,
"id": "request-0000",
"version": null,
"versions": {
"refund": 1,
"status": 2
}
},
"meta": {
"request_id": "example"
}
}